Source: lalframe
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  ldas-tools-framecpp-c-dev (>= @MIN_FRAMECPPC_VERSION@),
  libframe-dev (>= 8.0),
  liboctave-dev,
  pkg-config (>= 0.18.0),
  python-all-dev,
  python-numpy,
  python3-all-dev,
  python3-numpy,
  swig (>= 3.0.7) | swig3.0 (>= 3.0.7),
  zlib1g-dev,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lal-octave (>= @MIN_LAL_VERSION@~),
  python-lal (>= @MIN_LAL_VERSION@~),
  python3-lal (>= @MIN_LAL_VERSION@~)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: lalframe
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ldas-tools-framecpp-c (>= @MIN_FRAMECPPC_VERSION@),
  libframe1 (>= 8.0),
  lal (>= @MIN_LAL_VERSION@~)
Description: LSC Algorithm Library Frame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Frame library.

Package: lalframe-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ldas-tools-framecpp-c-dev (>= @MIN_FRAMECPPC_VERSION@),
  libframe-dev (>= 8.0),
  zlib1g-dev,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lalframe (= ${binary:Version})
Description: LSC Algorithm Library Frame Developers
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Frame library.

Package: lalframe-python
Depends: python-lalframe, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalframe-python was renamed python-lalframe,
 this is a transitional package, it can safely be removed.

Package: python-lalframe
Section: python
Replaces: lalframe-python (<< 1.4.3.1-1~)
Breaks: lalframe-python (<< 1.4.3.1-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-lal (>= @MIN_LAL_VERSION@~),
  lalframe (= ${binary:Version})
Description: Python bindings for LALFrame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains Python bindings for the LAL Frame library.

Package: lalframe-python3
Depends: python3-lalframe, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalframe-python3 was renamed python3-lalframe,
 this is a transitional package, it can safely be removed.

Package: python3-lalframe
Section: python
Replaces: lalframe-python3 (<< 1.4.3.1-1~)
Breaks: lalframe-python3 (<< 1.4.3.1-1~)
Architecture: any
Depends: ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
  python3-lal (>= @MIN_LAL_VERSION@~),
  lalframe (= ${binary:Version})
Description: Python 3 bindings for LALFrame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Frame library.

Package: lalframe-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal-octave (>= @MIN_LAL_VERSION@~),
  lalframe (= ${binary:Version})
Description: Octave bindings for LALFrame
 The LSC Algorithm Frame Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Frame library.
